Melissa
-------

| |Build Status| |Codacy Badge| |codecov.io|

|

Melissa is a virtual assistant for OS X, Windows and Linux systems. She
currently uses Google Chrome's speech-to-text engine, OS X's ``say``
command, Linux's ``espeak`` command or Ivona TTS along with some magical
scripting which makes her alive, developed by `Tanay
Pant <http://tanaypant.com>`__ and a group of sorcerers. The Web UI for
Melissa has been designed by `Nakul Saxena <http://nakulsaxena.in>`__.

.. raw:: html

   <p align="center">
     <a href="https://www.youtube.com/watch?v=r1yoaq3BcUA"><img src="http://i.imgur.com/OmsI07v.gif"></a>
   </p>

Check out our
`wiki <https://github.com/Melissa-AI/Melissa-Core/wiki>`__, where we
have installation and configuration instructions, usage guide as well as
relevant documentation.

Build
~~~~~~~~~~~~~~~~~~~~~~


Can follow below steps if you are also using python3;

$ git clone https://gitlab.com/navita.pareek/ria.git

$ cd Ria

$ pip install -r requirements.txt

$ cd melissa

$ cp data/memory.db.default data/memory.db

$ brew install flac

$ pip install -U flask

$ FLASK_APP=_main_.py flask run

Discussion and Support
~~~~~~~~~~~~~~~~~~~~~~

If you face an issue or require support, please take a look through the
GitHub Issues, as you may find some useful advice there. If you are
still facing issues, feel free to create a post at our `Google Group
Forum <https://groups.google.com/forum/#!forum/melissa-support--discussion-forum/>`__
describing the issue and the steps you have taken to debug it.

Licence
~~~~~~~

`The MIT License
(MIT) <https://github.com/Melissa-AI/Melissa-Core/blob/master/LICENSE.md>`__

.. |Build Status| image:: https://api.travis-ci.org/Melissa-AI/Melissa-Core.svg?branch=master
   :target: https://travis-ci.org/Melissa-AI/Melissa-Core/
.. |Codacy Badge| image:: https://api.codacy.com/project/badge/Grade/b1394316e9eb40bbbf51a12530c4f86d
   :target: https://www.codacy.com/app/tanay1337/Melissa-Core?utm_source=github.com&utm_medium=referral&utm_content=Melissa-AI/Melissa-Core&utm_campaign=Badge_Grade
.. |codecov.io| image:: http://codecov.io/github/Melissa-AI/Melissa-Core/coverage.svg?branch=master
   :target: http://codecov.io/github/Melissa-AI/Melissa-Core?branch=master
.. |Join the chat at https://gitter.im/Melissa-AI/Melissa-Core| image:: https://badges.gitter.im/Melissa-AI/Melissa-Core.svg
   :target: https://gitter.im/Melissa-AI/Melissa-Core?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge
